"""Events plugin

Provides duty schedule / duty roster functions
"""
from flask import Blueprint, current_app
from werkzeug.local import LocalProxy

from flaschengeist.plugins import Plugin
from . import permissions, models


class EventPlugin(Plugin):
    name = "events"
    plugin = LocalProxy(lambda: current_app.config["FG_PLUGINS"][EventPlugin.name])
    permissions = permissions.permissions
    blueprint = Blueprint(name, __name__)
    models = models

    def __init__(self, cfg):
        super(EventPlugin, self).__init__(cfg)
        from . import routes
